version: 1
name: Build/boot duration of the Linux kernel
description: Build and QEMU boot duration of the Linux kernel with clang
jobs:
- name: arm64-defconfig
  builds:
    # build 1
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
    - {target_arch: arm64, toolchain: clang-nightly, image_sha: 6b3e864ce3744f2938632c25a3bc32925c04bb022777a148a0539d0bc35041e7, kconfig: defconfig,   make_variables: {LLVM: 1, LLVM_IAS: 1}}
  test:
      device: qemu-arm64
